hledger-lib-1.32.3: A library providing the core functionality of hledger

Safe Haskell | Safe-Inferred
Language | Haskell2010

Hledger.Read.CsvUtils

Contents

- Tests

Description

CSV utilities.

Synopsis

- type CSV = [CsvRecord]
- type CsvRecord = [CsvValue]
- type CsvValue = Text
- printCSV :: [CsvRecord] -> Text
- printTSV :: [CsvRecord] -> Text
- tests_CsvUtils :: TestTree

# Documentation

type CSV = [CsvRecord] Source #

type CsvRecord = [CsvValue] Source #

type CsvValue = Text Source #

printCSV :: [CsvRecord] -> Text Source #

printTSV :: [CsvRecord] -> Text Source #

# Tests

tests_CsvUtils :: TestTree Source #